#!/usr/bin/perl

use strict;
use Digest::MD5 qw(md5_hex);

print STDOUT "*** enter the password to crypt:\n";

my $input = <STDIN>; chomp($input);

if (!$input || ($input =~ /\s+/)) {
  print STDOUT "*** invalid password, please try again.\n";
  exit(1);
}

if (length($input) < 6) {
  print STDOUT "\n";
  print STDOUT "     you entered a weak password and could be easy to guess.\n";
  print STDOUT "     you should to use at least 6 characters in length\n";
  print STDOUT "     including various numeral or special characters.\n\n";
}

my $digest = md5_hex($input);

print STDOUT "*** crypted MD5 password: $digest\n";

exit(0);

