use strict;

our (%FXbnet, %FXbot, %FXserv, $ts);

sub connect_bot {
  my $bot = shift;

  if (!$FXbnet{lc($bot)}{'sock'}) {
    $FXbnet{lc($bot)}{'attempt'} = $ts;

    my $socket = &open_socket("tcp", $FXbnet{lc($bot)}{'host'}, $FXbnet{lc($bot)}{'port'}, 3);

    if (!$socket) {
      &putinfo("b", "Unable to connect to bot [%s] (%s:%d)", $FXbnet{lc($bot)}{'nick'}, $FXbnet{lc($bot)}{'host'}, $FXbnet{lc($bot)}{'port'});
      return(0);
    }

    &add_socket($socket, "BOT");

    $FXbnet{lc($bot)}{'sock'} = $socket;
    $FXbnet{lc($bot)}{'prefix'} = "->";

    &putsock($socket, "%s %s %s", $FXbnet{lc($bot)}{'nick'}, $FXbot{'DataServ'}{'nick'}, $FXbnet{lc($bot)}{'password'});
    &putinfo("b", "Linked to %s [%s:%d]", $FXbnet{lc($bot)}{'nick'}, $FXbnet{lc($bot)}{'host'}, $FXbnet{lc($bot)}{'port'});
    return(0);
  }
}

sub putbnet {
  my ($format, @arg) = (shift, @_);
  my $buffer = sprintf($format, @arg);

  foreach (keys(%FXbnet)) {
    if ($FXbnet{$_}{'sock'}) { &putsock($FXbnet{$_}{'sock'}, $buffer); }
  }

  return(0);
}

1;