use strict;

our (%FXcfg, %FXserv);

sub http_get {
  my ($socket, $request, $host, $referer, $cookie) = (shift, shift, shift, shift, shift);

  &connect_proxy($socket);

  &putsock($socket, "GET %s HTTP/1.1\r", $request);
  &putsock($socket, "Host: %s\r", $host);
  &putsock($socket, "User-Agent: Mozilla/5.0 (FXserv IRC Services %s; http://fxserv.fxmakers.net/)\r", $FXserv{'version'});
  &putsock($socket, "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*\r");
  &putsock($socket, "Accept-Language: en-us,en;q=0.5\r");

  if ($referer) { &putsock($socket, "Referer: %s\r", $referer); }

  &putsock($socket, "Connection: Keep-Alive\r");

  if ($cookie) {
    &putsock($socket, "Cookie2: \$Version=\"1\"\r");
    &putsock($socket, "Cookie: %s\r", $cookie);
  }

  &putsock($socket, "\r");
  return(0);
}

sub http_post {
  my ($socket, $request, $host, $referer, $post, $boundary, $cookie) = (shift, shift, shift, shift, shift, shift, shift);

  &connect_proxy($socket);

  &putsock($socket, "POST %s HTTP/1.1\r", $request);
  &putsock($socket, "Host: %s\r", $host);
  &putsock($socket, "User-Agent: Mozilla/5.0 (FXserv IRC Services %s; http://fxserv.fxmakers.net/)\r", $FXserv{'version'});
  &putsock($socket, "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*\r");
  &putsock($socket, "Accept-Language: en-us,en;q=0.5\r");

  if ($referer) { &putsock($socket, "Referer: %s\r", $referer); }

  if ($boundary) {
    &putsock($socket, "Content-Type: multipart/form-data; boundary=%s\r", $boundary);
  } else {
    &putsock($socket, "Content-Type: application/x-www-form-urlencoded\r");
  }

  &putsock($socket, "Content-Length: %d\r", length($post));
  &putsock($socket, "Connection: Keep-Alive\r");

  if ($cookie) {
    &putsock($socket, "Cookie2: \$Version=\"1\"\r");
    &putsock($socket, "Cookie: %s\r", $cookie);
  }

  &putsock($socket, "\r");
  &putsock($socket, "%s\r", $post);
  &putsock($socket, "\r");
  return(0);
}

sub connect_proxy {
  my $socket = shift;

  return(0);
}

1;